### Property

# Camel Service:connection-status

#### Declaration

    property connection-status: Camel.ServiceConnectionStatus [ read ]

#### Description [src]

The connection status for the service.

Type:`CamelServiceConnectionStatus`

Default value | CAMEL_SERVICE_DISCONNECTED
Getter method | `camel_service_get_connection_status()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no